Security update for hyper-v

SUSE Security Update: Security update for hyper-v
Announcement ID: SUSE-SU-2012:0817-1
Rating: moderate
References: #761200
Affected Products:
  • SUSE Linux Enterprise Server 11 SP2

  • An update that fixes one vulnerability is now available.


    The Hyper-V userland daemon was updated to match the
    current kernel Hyper-V feature level.

    It brings key-value-pair storage that can be queried by the
    kernel via the netlink interface and can pass information
    out to the Hyper-V hypervisor.

    The netlink query code was adjusted to only allow the Linux
    kernel to access it via netlink messages (CVE-2012-2669).

    Security Issue reference:

    * CVE-2012-2669

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Server 11 SP2:
      zypper in -t patch slessp2-hyper-v-6431

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Server 11 SP2 (i586 x86_64):
    • hyper-v-3-0.5.1